package com.base.scanqrclear.ui.main

import com.base.scanqrclear.base.BaseActivity
import com.base.scanqrclear.databinding.ActivityScanBinding
import com.base.scanqrclear.qr.CameraUtils

/**
 *Create by SleepDog on 2025-01-20
 */
class ScanAc : BaseActivity<ActivityScanBinding>(ActivityScanBinding::inflate) {
    var cameraUtils: CameraUtils? = null

    override fun initView() {
        super.initView()
        cameraUtils = CameraUtils(this)
    }

    override fun onDestroy() {
        super.onDestroy()
        cameraUtils?.unBind()
        cameraUtils = null
    }
}